API reference
Route reports
Report a problem with a route you bought.
BrowseRoute reports
List route problem reports you raised or received
GET/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Parameters
rolequery · string
One of buyer, sellerstatusquery · string
Response 200
datarequiredobject[]
idrequiredstring (uuid) · data[].id
routeIdrequiredstring (uuid) · data[].routeId
routeNamerequiredstring | null · data[].routeName
rolerequiredstring · data[].role
One ofbuyer,sellerbuyerIdrequiredstring (uuid) | null · data[].buyerId
Null for the seller, who sees only the pseudonymbuyerLabelrequiredstring · data[].buyerLabel
categoryrequiredstring · data[].category
One ofcall_failure,connectivity,quality,othersubjectrequiredstring | null · data[].subject
statusrequiredstring · data[].status
One ofopen,acknowledged,resolved,confirmed,reopened,escalated,closedevidenceany · data[].evidence
Call evidence; seller addresses are masked for the buyerverifyResultany · data[].verifyResult
escalatedrequiredboolean · data[].escalated
unreadrequiredboolean · data[].unread
lastActivityAtrequiredstring (date-time) · data[].lastActivityAt
ISO-8601 timestamp (UTC)createdAtrequiredstring (date-time) · data[].createdAt
ISO-8601 timestamp (UTC)resolvedAtrequiredstring (date-time) | null · data[].resolvedAt
ISO-8601 timestamp (UTC)closedAtrequiredstring (date-time) | null · data[].closedAt
ISO-8601 timestamp (UTC)
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.
Report a problem with a route you bought
POST/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Optionally attach a CDR and a fresh SIP trace. The seller sees you under a pseudonym.
Request body (application/json)
routeIdrequiredstring (uuid)
cdrIdstring (uuid)
categorystring
One ofcall_failure,connectivity,quality,othersubjectstring
max 200 charsmessagerequiredstring
max 4000 charsattachSipTraceboolean
Response 201
datarequiredobject
Same fields as RouteReport, shown earlier on this page.
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 409
CONFLICT(or a code-specific 409): the change clashes with existing state. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.
Count route reports waiting on you
GET/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Response 200
datarequiredobject
sellerrequiredinteger · data.seller
buyerrequiredinteger · data.buyer
totalrequiredinteger · data.total
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.
Get a route report with its thread
GET/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Parameters
idrequiredpath · string
Response 200
datarequiredobject
idrequiredstring (uuid) · data.id
routeIdrequiredstring (uuid) · data.routeId
routeNamerequiredstring | null · data.routeName
rolerequiredstring · data.role
One ofbuyer,sellerbuyerIdrequiredstring (uuid) | null · data.buyerId
Null for the seller, who sees only the pseudonymbuyerLabelrequiredstring · data.buyerLabel
categoryrequiredstring · data.category
One ofcall_failure,connectivity,quality,othersubjectrequiredstring | null · data.subject
statusrequiredstring · data.status
One ofopen,acknowledged,resolved,confirmed,reopened,escalated,closedevidenceany · data.evidence
Call evidence; seller addresses are masked for the buyerverifyResultany · data.verifyResult
escalatedrequiredboolean · data.escalated
unreadrequiredboolean · data.unread
lastActivityAtrequiredstring (date-time) · data.lastActivityAt
ISO-8601 timestamp (UTC)createdAtrequiredstring (date-time) · data.createdAt
ISO-8601 timestamp (UTC)resolvedAtrequiredstring (date-time) | null · data.resolvedAt
ISO-8601 timestamp (UTC)closedAtrequiredstring (date-time) | null · data.closedAt
ISO-8601 timestamp (UTC)messagesrequiredobject[] · data.messages
idrequiredstring (uuid) · data.messages[].id
rolerequiredstring · data.messages[].role
One ofbuyer,seller,system,staffkindrequiredstring · data.messages[].kind
One ofmessage,status_change,verificationauthorLabelrequiredstring · data.messages[].authorLabel
minerequiredboolean · data.messages[].mine
bodyrequiredstring · data.messages[].body
metaany · data.messages[].meta
createdAtrequiredstring (date-time) · data.messages[].createdAt
ISO-8601 timestamp (UTC)
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 404
NOT_FOUND: no such resource on your account. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.
Reply on a route report
POST/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Parameters
idrequiredpath · string
Request body (application/json)
bodyrequiredstring
max 4000 chars
Response 201
datarequiredobject
Same fields as RouteReportThread, shown earlier on this page.
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 404
NOT_FOUND: no such resource on your account. - 409
CONFLICT(or a code-specific 409): the change clashes with existing state. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.
Acknowledge a route report (seller)
POST/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Parameters
idrequiredpath · string
Response 200
datarequiredobject
Same fields as RouteReportThread, shown earlier on this page.
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 404
NOT_FOUND: no such resource on your account. - 409
CONFLICT(or a code-specific 409): the change clashes with existing state. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.
Mark a route report resolved (seller)
POST/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Parameters
idrequiredpath · string
Request body (application/json)
notestring
max 4000 chars
Response 200
datarequiredobject
Same fields as RouteReportThread, shown earlier on this page.
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 404
NOT_FOUND: no such resource on your account. - 409
CONFLICT(or a code-specific 409): the change clashes with existing state. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.
Confirm a route report is fixed (buyer)
POST/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Parameters
idrequiredpath · string
Response 200
datarequiredobject
Same fields as RouteReportThread, shown earlier on this page.
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 404
NOT_FOUND: no such resource on your account. - 409
CONFLICT(or a code-specific 409): the change clashes with existing state. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.
Reopen a resolved route report (buyer)
POST/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Parameters
idrequiredpath · string
Request body (application/json)
notestring
max 4000 chars
Response 200
datarequiredobject
Same fields as RouteReportThread, shown earlier on this page.
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 404
NOT_FOUND: no such resource on your account. - 409
CONFLICT(or a code-specific 409): the change clashes with existing state. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.
Escalate a route report to support
POST/
- Access
- API key. Full-access keys only; not reachable by scoped keys.
- Rate limit
- 100 requests per second (the default)
Parameters
idrequiredpath · string
Request body (application/json)
notestring
max 4000 chars
Response 200
datarequiredobject
Same fields as RouteReportThread, shown earlier on this page.
Errors
- 400
VALIDATION_ERROR,INVALID_INPUTorBAD_REQUEST. ForVALIDATION_ERROR,error.detailsis an array of{ path, message }. - 401
UNAUTHORIZED: missing, invalid, expired or revoked credential. - 403
FORBIDDEN: not allowed - a scoped key lacks the scope, or the endpoint is session-only. - 404
NOT_FOUND: no such resource on your account. - 409
CONFLICT(or a code-specific 409): the change clashes with existing state. - 429
RATE_LIMITED: slow down and retry after theRetry-Afterseconds. - 500
INTERNAL_ERROR: unexpected failure. QuoteX-Request-Idto support.